---
title: "Assign partner to project"
slug: "assign-partner-to-project"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/assign-partner-to-project"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign partner to project

Post/pm-rest-api/jersey/v1/assign-to-project/partner

## Assign Partner to Project

This endpoint allows the user to assign a partner to a project.

### Request Body

- `projectOraseq` (text): The unique identifier of the project to which the partner is being assigned.
- `partnerDetails` (text): An array containing details of the partner being assigned, including:
  - `partnerCode` (text): The code representing the partner.
  - `partnerTypeCode` (text): The type code of the partner.
  - `partnerAbbrevCode` (text): The abbreviated code for the partner.

### Response

The response is in JSON format and provides details of the assigned partner. Below is a JSON schema representing the response:

```json
{
  "ABSCONT": {
    "PmppPartnCode": "",
    "PmppPartntypeCode": "",
    "PmppPartnName": "",
    "PmppProjOraseq": 0,
    "PmppAbbrevPartnCode": "",
    "PmppAdd1": "",
    "PmppAdd2": "",
    "PmppAdd3": "",
    "PmppCountry": "",
    "PmppVUuid": ""
  }
}
```

SecurityHTTPType basic

Basic authentication

Body parameters<select class='api-response-data' aria-label='Media type'><option value='737475b5-11a4-436a-ab65-361cf358d711'>application/json</option>
</select>object  Example{
  "projectOraseq": "12987043",
  "partnerDetails": [
    {
      "partnerCode": "ABSCONT",
      "partnerTypeCode": "P",
      "partnerAbbrevCode": "ABSCONT"
    }
  ]
}

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='2d3ff24b-21c4-418f-8754-7def02afa71b'>application/json</option>
</select>
